﻿@model MyApp.Web.ViewModels.ZoneIndexViewModel
@using OpenPlatform.General.Extensions;
@using MyApp.Web.ViewModels;

@{
    ViewBag.Title = @MyApp.Web.Resources.EVAResource.WebsiteTitle;
}

@Html.Partial("_NavSuperUser", MyApp.Web.Resources.EVAResource.engagementzones)

@Html.ActionLink("Add New Zone", "AddEditZone", null, new { @class = "btn btn-default btn-lg", role = "button" })

@if (Model.ListOfZones == null || Model.ListOfZones.Count == 0)
{
    @Html.Partial("_NoRecordsExist", null);
}
else
{
    <div class="table-responsive">
        <table class="table-striped">
            <tr class="tableheaderrow">
                <th>@MyApp.Web.Resources.EVAResource.Name</th>
                <th>@MyApp.Web.Resources.EVAResource.active</th>
                <th>@MyApp.Web.Resources.EVAResource.identifier</th>
                <th>@MyApp.Web.Resources.EVAResource.totalengagements</th>
                <th>@MyApp.Web.Resources.EVAResource.totalunregistered_registered</th>
                <th>@MyApp.Web.Resources.EVAResource.action</th>
            </tr>
            <tbody>
                @foreach (ZoneListViewModel item in Model.ListOfZones)
                {
                    <tr>
                        <td>
                            @item.Name.TrimforUI(25, true)
                        </td>
                        <td>
                            @item.IsActive
                        </td>
                        <td>
                            @item.Identifier
                        </td>
                        <td>
                            @item.TotalEngagement
                        </td>
                        <td>
                            @item.TotalRegisteredEngagement/@item.TotalUnregisteredEngagement
                        </td>

                        <td>
                            @Html.ActionLink(@MyApp.Web.Resources.EVAResource.edit, "AddEditZone", new { zoneid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button" })
                            @*@Html.ActionLink(@MyApp.Web.Resources.EVAResource.generateunregisteredcodes, "GenerateUnregisteredCodes", new { zoneid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button" })*@
                            @Html.ActionLink(@MyApp.Web.Resources.EVAResource.downloadqrcode, "DownloadZonePDF", new { zoneid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button" })
                            @Html.ActionLink(@MyApp.Web.Resources.EVAResource.viewengagements, "ShowEngagementsByZone", new { zoneid = @item.EncryptedId }, new { @class = "btn btn-link", role = "button" })
                            @Html.ActionLink(@MyApp.Web.Resources.EVAResource.delete, "DeleteZone", new { zoneid = @item.EncryptedId }, new { @class = @item.DoesZoneHaveEngagements ? "btn btn-link disabled" : "btn btn-link", role = "button", title = @item.DoesZoneHaveEngagements ? @MyApp.Web.Resources.EVAResource.mustdeleteenagegementsfirst : ""})


                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}